[ARVADOS-DEV] updated: 358ad8eabdc9eec2e8b690ca0310b213dc4f6098
git at public.curoverse.com
git at public.curoverse.com
Fri Nov 21 17:38:08 EST 2014
Summary of changes:
jenkins/run-tests.sh | 9 ++++++++-
1 file changed, 8 insertions(+), 1 deletion(-)
via 358ad8eabdc9eec2e8b690ca0310b213dc4f6098 (commit)
from 4a96daeef2dd5a209ec685ee3e1d6864987d1f4f (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 358ad8eabdc9eec2e8b690ca0310b213dc4f6098
Author: Ward Vandewege <ward at curoverse.com>
Date: Fri Nov 21 17:37:43 2014 -0500
run-tests: make the error message displayed when WORKSPACE isn't set a
bit prettier.
No issue #
diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 1f65c95..20c92bf 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -154,8 +154,15 @@ do
done
# Sanity check
+if ! [[ -n "$WORKSPACE" ]]; then
+ echo >&2 "$helpmessage"
+ echo >&2
+ echo >&2 "Error: WORKSPACE environment variable not set"
+ echo >&2
+ exit 1
+fi
+
echo "WORKSPACE=$WORKSPACE"
-[[ -n "$WORKSPACE" ]] || fatal "WORKSPACE not set"
if [[ -z "$CONFIGSRC" ]] && [[ -d "$HOME/arvados-api-server" ]]; then
# Jenkins expects us to use this by default.
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list